//====================================================//
// Reallite HLGuard Anti-Cheats Config file           //
// Создал: DJ_WEST                                    //
// Copyright (C) Reallite Labs, 2002-2007             //
// Версия: 1.9                                        //
// Сайт: http://reallite.cs2.ru                       //
//====================================================//

//====================================================//
// Проверка нажатия кнопки игроком                    //
//====================================================//
// Данная опция требует, чтобы на сервере был желательно установлен AMX Mod X.
// Данная опция по умолчанию отключена, так как данная проверка не универсальна.
// Она назначает клавише команду, которая после ее нажатия игроком, сообщает админу, что данный игрок использовал эту клавишу.
// Большинство читов используют нижеперечисленные клавиши, поэтому после увиденного сообщения от игрока, админ может задуматься
// и последить за данным игроком. Не забывайте также, что игрок может установить на данную клавишу обычную команду
// или обычный alias, и если данная опция включена, то его установки сбросятся, а на место них будут установлены другие.
// Тестирование показало, что на кнопках Ins, Del, Home у некоторых игроков установлены элементы управления, так как
// некоторые играют на стрелках. Поэтому если вы все-таки решили активировать проверку, то просто раскомментируйте нужную
// строчку, то есть уберите перед ней знак //.

// Клавиша F1
// hlg_action "r:not found" "hlg_clexec #%u \'bind F1 \\'say_team @ [HLGUARD] The used key is blocked (use F1)\\'\'"

// Клавиша F2
// hlg_action "r:not found" "hlg_clexec #%u \'bind F2 \\'say_team @ [HLGUARD] The used key is blocked (use F2)\\'\'"

// Клавиша F3
// hlg_action "r:not found" "hlg_clexec #%u \'bind F3 \\'say_team @ [HLGUARD] The used key is blocked (use F3)\\'\'"

// Клавиша F4
// hlg_action "r:not found" "hlg_clexec #%u \'bind F4 \\'say_team @ [HLGUARD] The used key is blocked (use F4)\\'\'"

// Клавиша F5
// hlg_action "r:not found" "hlg_clexec #%u \'bind F5 \\'say_team @ [HLGUARD] The used key is blocked (use F5)\\'\'"

// Клавиша F6
// hlg_action "r:not found" "hlg_clexec #%u \'bind F6 \\'say_team @ [HLGUARD] The used key is blocked (use F6)\\'\'"

// Клавиша F7
// hlg_action "r:not found" "hlg_clexec #%u \'bind F7 \\'say_team @ [HLGUARD] The used key is blocked (use F7)\\'\'"

// Клавиша F8
// hlg_action "r:not found" "hlg_clexec #%u \'bind F8 \\'say_team @ [HLGUARD] The used key is blocked (use F8)\\'\'"

// Клавиша F9
// hlg_action "r:not found" "hlg_clexec #%u \'bind F9 \\'say_team @ [HLGUARD] The used key is blocked (use F9)\\'\'"

// Клавиша F10
// hlg_action "r:not found" "hlg_clexec #%u \'bind F10 \\'say_team @ [HLGUARD] The used key is blocked (use F10)\\'\'"

// Клавиша F11
// hlg_action "r:not found" "hlg_clexec #%u \'bind F11 \\'say_team @ [HLGUARD] The used key is blocked (use F11)\\'\'"

// Клавиша F12
// hlg_action "r:not found" "hlg_clexec #%u \'bind F12 \\'say_team @ [HLGUARD] The used key is blocked (use F12)\\'\'"

// Клавиша HOME
// hlg_action "r:not found" "hlg_clexec #%u \'bind home \\'say_team @ [HLGUARD] The used key is blocked (use HOME)\\'\'"

// Клавиша INSERT
// hlg_action "r:not found" "hlg_clexec #%u \'bind ins \\'say_team @ [HLGUARD] The used key is blocked (use INSERT)\\'\'"

// Клавиша DELETE
// hlg_action "r:not found" "hlg_clexec #%u \'bind del \\'say_team @ [HLGUARD] The used key is blocked (use DELETE)\\'\'"

// Клавиша END
// hlg_action "r:not found" "hlg_clexec #%u \'bind end \\'say_team @ [HLGUARD] The used key is blocked (use END)\\'\'"

//====================================================//
// Блокировка кнопок игроков                          //
//====================================================//
// Данная опция требует, чтобы на сервере был желательно установлен AMX Mod X.
// Данная опция по умолчанию отключена, так как данная проверка не универсальна.
// Она назначает клавише команду, которая после ее нажатия игроком, удаляет его с сервера.
// Большинство читов используют нижеперечисленные клавиши.
// Не забывайте также, что игрок может установить на данную клавишу обычную команду
// или обычный alias, и если данная опция включена, то его установки сбросятся, а на место них будут установлены другие. 
// Тестирование показало, что на кнопках Ins, Del, Home у некоторых игроков установлены элементы управления, так как
// некоторые играют на стрелках. Поэтому если вы все-таки решили активировать проверку, то просто раскомментируйте нужную
// строчку, то есть уберите перед ней знак //.

// Клавиша F1
// hlg_action "r:not found" "hlg_clexec #%u \'bind F1 \\'say_team @ [HLGUARD] The used key is blocked (use F1); disconnect; toggleconsole; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***\\'\'"

// Клавиша F2
// hlg_action "r:not found" "hlg_clexec #%u \'bind F2 \\'say_team @ [HLGUARD] The used key is blocked (use F2); disconnect; toggleconsole; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***\\'\'"

// Клавиша F3
// hlg_action "r:not found" "hlg_clexec #%u \'bind F3 \\'say_team @ [HLGUARD] The used key is blocked (use F3); disconnect; toggleconsole; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***\\'\'"

// Клавиша F4
// hlg_action "r:not found" "hlg_clexec #%u \'bind F4 \\'say_team @ [HLGUARD] The used key is blocked (use F4); disconnect; toggleconsole; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***\\'\'"

// Клавиша F5
// hlg_action "r:not found" "hlg_clexec #%u \'bind F5 \\'say_team @ [HLGUARD] The used key is blocked (use F5); disconnect; toggleconsole; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***\\'\'"

// Клавиша F6
// hlg_action "r:not found" "hlg_clexec #%u \'bind F6 \\'say_team @ [HLGUARD] The used key is blocked (use F6); disconnect; toggleconsole; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***\\'\'"

// Клавиша F7
// hlg_action "r:not found" "hlg_clexec #%u \'bind F7 \\'say_team @ [HLGUARD] The used key is blocked (use F7); disconnect; toggleconsole; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***\\'\'"

// Клавиша F8
// hlg_action "r:not found" "hlg_clexec #%u \'bind F8 \\'say_team @ [HLGUARD] The used key is blocked (use F8); disconnect; toggleconsole; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***\\'\'"

// Клавиша F9
// hlg_action "r:not found" "hlg_clexec #%u \'bind F9 \\'say_team @ [HLGUARD] The used key is blocked (use F9); disconnect; toggleconsole; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***\\'\'"

// Клавиша F10
// hlg_action "r:not found" "hlg_clexec #%u \'bind F10 \\'say_team @ [HLGUARD] The used key is blocked (use F10); disconnect; toggleconsole; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***\\'\'"

// Клавиша F11
// hlg_action "r:not found" "hlg_clexec #%u \'bind F11 \\'say_team @ [HLGUARD] The used key is blocked (use F11); disconnect; toggleconsole; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***\\'\'"

// Клавиша F12
// hlg_action "r:not found" "hlg_clexec #%u \'bind F12 \\'say_team @ [HLGUARD] The used key is blocked (use F12); disconnect; toggleconsole; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***\\'\'"

// Клавиша HOME
// hlg_action "r:not found" "hlg_clexec #%u \'bind home \\'say_team @ [HLGUARD] The used key is blocked (use HOME); disconnect; toggleconsole; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***\\'\'"

// Клавиша INSERT
// hlg_action "r:not found" "hlg_clexec #%u \'bind ins \\'say_team @ [HLGUARD] The used key is blocked (use INSERT); disconnect; toggleconsole; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***\\'\'"

// Клавиша DELETE
// hlg_action "r:not found" "hlg_clexec #%u \'bind del \\'say_team @ [HLGUARD] The used key is blocked (use DELETE); disconnect; toggleconsole; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***\\'\'"

// Клавиша END
// hlg_action "r:not found" "hlg_clexec #%u \'bind end \\'say_team @ [HLGUARD] The used key is blocked (use END); disconnect; toggleconsole; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***; echo ***[HLGUARD] Kicked. Reason: The used key is blocked***\\'\'"